MSGFMT(1)

BEZEICHNUNG
msgfmt - Meldungskataloge in ein binäres Format kompilieren

ÜBERSICHT
msgfmt [OPTION] Dateiname.po …

BESCHREIBUNG

Erstellt einen binären Meldungskatalog aus einer Übersetzung in Textform.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich. Gleiches gilt für optionale Argumente.

  Orte der Eingabedateien:

Dateiname.po …
    Eingabedateien

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn die Eingabedatei »-« ist, wird die Standardeingabe gelesen.

  Betriebsmodus:

-j, --java
    aktiviert den Java-Modus, in dem eine ResourceBundle-Klasse für Java erzeugt wird.

--java2
    wie --java, nimmt aber Java2 an (JDK 1.2 oder höher).

--csharp
    aktiviert den C#-Modus, in dem eine .NET .dll-Datei erzeugt wird.

--csharp-resources
    aktiviert den C#-Ressourcenmodus, in dem eine .NET .resources-Datei erzeugt wird.

--tcl
    aktiviert den Tcl-Modus, in dem eine tcl/msgcat .msg-Datei erzeugt wird.

--qt
    aktiviert den Qt-Modus, in dem eine Qt .qm-Datei erzeugt wird.

--desktop
    aktiviert den Desktopeintrag-Modus, in dem eine .desktop-Datei erzeugt wird.

--xml
    aktiviert den XML-Modus, in dem eine XML-Datei erzeugt wird.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

--strict
    aktiviert den strikten Uniforum-Stil.

Falls die Ausgabedatei als »-« angegeben ist, wird in die Standardausgabe geschrieben.

  Orte der Ausgabedateien im Java-Modus:

-r, --resource=RESSOURCE
    Ressourcenname

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

--source
    erstellt eine .java-Datei anstelle einer .class-Datei.

-d VERZEICHNIS
    gibt das Basisverzeichnis der Klassen-Verzeichnishierarchie an.

Der Klassenname wird durch Anhängen des Locale-Namens an den Ressourcennamen gebildet, durch einen Unterstrich getrennt. Die Option -d ist obligatorisch. Die Klasse wird unterhalb des angegebenen Verzeichnisses gespeichert.

  Orte der Ausgabedateien im C#-Modus:

-r, --resource=RESSOURCE
    Ressourcenname

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-d VERZEICHNIS
    gibt das Basisverzeichnis der Locale-abhängigen .dll-Dateien an.

Die Optionen -l und -d sind obligatorisch. Die .dll-Datei wird in ein Unterverzeichnis des angegebenen Verzeichnisses geschrieben, dessen Name von der Locale bestimmt wird.

  Orte der Ausgabedateien im Tcl-Modus:

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-d VERZEICHNIS
    gibt das Basisverzeichnis des .msg-Meldungskatalogs an.

Die Optionen -l und -d sind obligatorisch. Die .msg-Datei wird in das angegebene Verzeichnis geschrieben.

  Optionen für den Desktopeintrag-Modus:

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

--template=VORLAGE
    gibt die als Vorlage zu verwendende .desktop-Datei an.

-d VERZEICHNIS
    gibt das Basisverzeichnis für .po-Dateien an.

-kWORT, --keyword=SCHLÜSSELWORT
    schaut nach dem angegebenen SCHLÜSSELWORT als zusätzliches Schlüsselwort.

-k, --keyword
    verwendet keine vorgegebenen Schlüsselwörter.

Die Optionen -l, -o und --template sind obligatorisch. Falls -D angegeben ist, werden die Eingabedateien aus dem Verzeichnis anstatt aus den Befehlszeilenargumenten gelesen.

  Optionen für den XML-Modus:

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-L, --language=NAME
    berücksichtigt die angegebene XML-Sprache.

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

--template=VORLAGE
    gibt eine als Vorlage zu verwendende XML-Datei an.

-d VERZEICHNIS
    gibt das Basisverzeichnis für .po-Dateien an.

Die Optionen -l, -o und --template sind obligatorisch. Falls -D angegeben ist, werden die Eingabedateien aus dem Verzeichnis anstatt aus den Befehlszeilenargumenten gelesen.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedateien folgen der .properties-Syntax von Java.

--stringtable-input
    Eingabedateien folgen der .strings-Syntax von NeXTstep/GNUstep.

  Interpretation der Eingabedatei:

-c, --check
    führt alle durch --check-format, --check-header und --check-domain implizierten Überprüfungen aus.

--check-format
    überprüft die sprachabhängigen Formatzeichenketten.

--check-header
    prüft auf das Vorhandensein und den Inhalt des Kopfeintrags.

--check-domain
    prüft auf Konflikte zwischen Domain-Anweisungen und der Option --output-file.

-C, --check-compatibility
    prüft, ob sich GNU msgfmt wie msgfmt von X/Open verhält.

--check-accelerators[=ZEICHEN]
    prüft, ob die Tastenkürzelbezeichner für Menüeinträge vorhanden sind.

-f, --use-fuzzy
    verwendet »fuzzy«-Einträge in der Ausgabe.

  Details zur Ausgabe:

-a, --alignment=ANZAHL
    richtet Zeichenketten an der angegebenen ANZAHL Bytes aus (Vorgabe: 1).

--endianness=BYTEREIHENFOLGE
    schreibt 32-Bit-Zahlen in der angegebenen Bytereihenfolge (big-endian oder little-endian; die Vorgabe ist von der Plattform abhängig).

--no-hash
    bindet keine Hash-Tabelle in die Binärdatei ein.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

--statistics
    gibt Statistiken zu Übersetzungen aus.

-v, --verbose
    erhöht die Ausführlichkeitsstufe.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf <https://savannah.gnu.org/projects/gettext> oder per E-Mail an <bug-gettext@gnu.org> (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgfmt wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgfmt auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgfmt

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).